#!/bin/sh
# 16/5/2025 by jokel

win="Switch  -  30/50Hz"
hz30="2160p30"
hz50="2160p50"

vmode=$(cat /proc/stb/video/videomode)

if [ "$vmode" != "$hz30" ] && [ "$vmode" != "$hz50" ]; then
    msgbox size=22 title="$win" popup="~c Falscher Videomodus der sollte 2160p sein." timeout=5
    exit 1
fi

msgbox size=24 title="$win" select="30Hz","50Hz" default=2 cyclic=0 order=2 msg="~c~GV.MODE  jetzt : ~Y ""$vmode" refresh=1

case "$?" in
	0)	exit 1
		;;
	1)	vmode="$hz30"
		;;
	2)	vmode="$hz50"
		;;
esac

echo -n "$vmode" > /proc/stb/video/videomode

exit 0
